haskell-gi-overloading

Overloading support for haskell-gi

https://github.com/haskell-gi/haskell-gi

Version on this page:0.0
LTS Haskell 17.10:1.0
Stackage Nightly 2021-05-08:1.0
Latest on Hackage:1.0

See all snapshots haskell-gi-overloading appears in

BSD-3-Clause licensed by Iñaki García Etxebarria
Maintained by garetxe@gmail.com
This version can be pinned in stack with:haskell-gi-overloading-0.0@sha256:e1ba6583d908525af55f45ede17224a0fe5e7c8980bb5962ac39ee8b429e5bae,631

Module documentation for 0.0

There are no documented modules for this package.

Bindings generated by haskell-gi are by default compiled with support for OverloadedLabels.

This support for OverloadedLabels comes at a cost in compile time, which can be significant in some cases. For convenience, this support can be switched off in programs using haskell-gi generated bindings, which do not require overloading support, by making them depend (in the build-depends field of the cabal file) on haskell-gi-overloading == 0.0.*.

Changes

Variants of haskell-gi-overloading

0.0

  • Disable support for overloading.